#ifndef AURORA_H
#define AURORA_H

#ifdef AURORA_EXPORTS
#define AURORA_API __declspec(dllexport)
#else
#define AURORA_API __declspec(dllimport)
#endif


//=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
//
// includes
//
#include "../ls-b247/lsapi/lsapi.h"


//=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
//
// function prototypes
//

// reload step.rc settings
void LoadSetup();

// Main Message Handler
LRESULT CALLBACK MessageHandlerProc(HWND hWnd, UINT uMsg, WPARAM wParam, LPARAM lParam);

// !bang functions
void BangHide(HWND hCaller, LPCSTR pszArgs);
void BangShow(HWND hCaller, LPCSTR pszArgs);
void BangToggle(HWND hCaller, LPCSTR pszArgs);
void BangPulse(HWND hCaller, LPCSTR pszArgs);
void BangStopPulse(HWND hCaller, LPCSTR pszArgs);
void BangInvert(HWND hCaller, LPCSTR pszArgs);
void BangSetColorIn(HWND hCaller, LPCSTR pszArgs);
void BangSetColorOut(HWND hCaller, LPCSTR pszArgs);

void repaint();


//=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
//
// exports
//
#ifdef __cplusplus
extern "C" {
#endif // __cplusplus
	
	//
	// from aurora.cpp
	//
	// Module Initialization
	AURORA_API int initModuleEx(HWND hParent, HINSTANCE hInstance, LPCSTR szLSpath);
	// Module Cleanup
	AURORA_API void quitModule(HINSTANCE hInstance);
	
	
#ifdef __cplusplus
}
#endif // __cplusplus


#endif // AURORA_H
